Package org.kapott.hbci.sepa.jaxb.pain_008_001_08

## Class DirectDebitTransaction10

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.pain_008_001_08.DirectDebitTransaction10

    public class DirectDebitTransaction10
    extends java.lang.Object

Java class for DirectDebitTransaction10 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="DirectDebitTransaction10">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="MndtRltdInf" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.08}MandateRelatedInformation14" minOccurs="0"/>
             <element name="CdtrSchmeId" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.08}PartyIdentification135" minOccurs="0"/>
             <element name="PreNtfctnId" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.08}Max35Text" minOccurs="0"/>
             <element name="PreNtfctnDt" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.08}ISODate" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected PartyIdentification135` `cdtrSchmeId`
`protected MandateRelatedInformation14` `mndtRltdInf`
`protected javax.xml.datatype.XMLGregorianCalendar` `preNtfctnDt`
`protected java.lang.String` `preNtfctnId`

### Constructor Summary

Constructors
`DirectDebitTransaction10()`

### Method Summary

All Methods Instance Methods Concrete Methods
`PartyIdentification135` `getCdtrSchmeId()` Gets the value of the cdtrSchmeId property.
`MandateRelatedInformation14` `getMndtRltdInf()` Gets the value of the mndtRltdInf property.
`javax.xml.datatype.XMLGregorianCalendar` `getPreNtfctnDt()` Gets the value of the preNtfctnDt property.
`java.lang.String` `getPreNtfctnId()` Gets the value of the preNtfctnId property.
`void` `setCdtrSchmeId​(PartyIdentification135 value)` Sets the value of the cdtrSchmeId property.
`void` `setMndtRltdInf​(MandateRelatedInformation14 value)` Sets the value of the mndtRltdInf property.
`void` `setPreNtfctnDt​(javax.xml.datatype.XMLGregorianCalendar value)` Sets the value of the preNtfctnDt property.
`void` `setPreNtfctnId​(java.lang.String value)` Sets the value of the preNtfctnId property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### mndtRltdInf

    protected MandateRelatedInformation14 mndtRltdInf

#### cdtrSchmeId

    protected PartyIdentification135 cdtrSchmeId

#### preNtfctnId

    protected java.lang.String preNtfctnId

#### preNtfctnDt

    protected javax.xml.datatype.XMLGregorianCalendar preNtfctnDt

### Constructor Detail

#### DirectDebitTransaction10

    public DirectDebitTransaction10()

### Method Detail

#### getMndtRltdInf

    public MandateRelatedInformation14 getMndtRltdInf()

Gets the value of the mndtRltdInf property.

Returns:
  possible object is `MandateRelatedInformation14`

#### setMndtRltdInf

    public void setMndtRltdInf​(MandateRelatedInformation14 value)

Sets the value of the mndtRltdInf property.

Parameters:
  `value` - allowed object is `MandateRelatedInformation14`

#### getCdtrSchmeId

    public PartyIdentification135 getCdtrSchmeId()

Gets the value of the cdtrSchmeId property.

Returns:
  possible object is `PartyIdentification135`

#### setCdtrSchmeId

    public void setCdtrSchmeId​(PartyIdentification135 value)

Sets the value of the cdtrSchmeId property.

Parameters:
  `value` - allowed object is `PartyIdentification135`

#### getPreNtfctnId

    public java.lang.String getPreNtfctnId()

Gets the value of the preNtfctnId property.

Returns:
  possible object is `String`

#### setPreNtfctnId

    public void setPreNtfctnId​(java.lang.String value)

Sets the value of the preNtfctnId property.

Parameters:
  `value` - allowed object is `String`

#### getPreNtfctnDt

    public javax.xml.datatype.XMLGregorianCalendar getPreNtfctnDt()

Gets the value of the preNtfctnDt property.

Returns:
  possible object is `XMLGregorianCalendar`

#### setPreNtfctnDt

    public void setPreNtfctnDt​(javax.xml.datatype.XMLGregorianCalendar value)

Sets the value of the preNtfctnDt property.

Parameters:
  `value` - allowed object is `XMLGregorianCalendar`